Subject: [Sipping] Route Header in CANCE

From: "manoj mallik" <[email-masked]>
Date: Mon, 14 Oct 2002 09:21:26 -0500

In the draft-ietf-sipping-call-flows-01.txt, in section "3.2.1 Unsuccessful
SIP to SIP no answer",
The initial INVITE(F1) has Route Header where as the CANCEL(F9) has no Route
Header.
But the RFC-3261, sec:9.1 Client Behavior, says that

"If the request being cancelled contains a Route header field, the
   CANCEL request MUST include that Route header field's values.
This is needed so that stateless proxies are able to route CANCEL
      requests properly."

So i  am confused, can somebody please clarify this.

Regards,
Manoj

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Alan Johnston <[email-masked]>
Date: Mon, 14 Oct 2002 14:20:39 -0500

Hi Manoj,

Thanks for your comments on the draft.  The current version is actually 
draft-ietf-sipping-basic-call-flows-01.txt but the problem is there as well 
in Section 3.8.

I will make the change adding the Route to the CANCEL in the next version.

Thanks,
Alan Johnston
WorldCom
sip:[email-masked]

---

From: "manoj mallik" <[email-masked]>
Date: Mon, 14 Oct 2002 16:34:35 -0500

Alan,
Thanks for your clarification.

Regards,
Manoj

-----Original Message-----
From: Alan Johnston [mailto:[email-masked]]
Sent: Monday, October 14, 2002 2:21 PM
To: manoj mallik
Cc: [email-masked]
Subject: Re: [Sipping] Route Header in CANCEL

Hi Manoj,

Thanks,
Alan Johnston
WorldCom
sip:[email-masked]